Update a group member's include in charts flag
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| placeGroupId | integer (int32) | Required | |
| placeId | integer (int32) | Required |
Request Body
GroupMemberRequest
| Property | Description | Type |
|---|---|---|
| includeInCharts | The flag determining whether the member is included in group charts Required | boolean |
Example Request Body
{ "includeInCharts": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
GroupPlaceGroupMember
| Property | Description | Type | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| includeInCharts | The flag determining whether the place is included in group charts Required (defined) | boolean | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| parent | PlaceChild | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceChild properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeCode | The place code Required (defined) | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeId | The place identifier Required (defined) | integer (int32) | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeInfo | The place info Required (defined) | string | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| placeType | PlaceTypeResponse | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
PlaceTypeResponse properties
|
|||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "includeInCharts": false, "parent": { "isDataRolledUp": false, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": {}, "isSystemPlaceType": false, "placeEntityType": {}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}, "placeCode": "string", "placeId": 1, "placeInfo": "string", "placeType": { "icon": { "code": "string", "color": "string"
}, "isSystemPlaceType": false, "placeEntityType": { "placeEntityTypeId": 1, "placeEntityTypeInfo": "string"
}, "placeTypeCode": "string", "placeTypeId": 1, "placeTypeInfo": "string", "structure": false
}
}